Subject: RE: kill function
From: [email-masked] (Sergey Okhapkin)

7 Jul 1997 14:31:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC8B2A.692215A0.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'Alistair McEwan'"
	 <[email-masked]>
Encoding: 20 TEXT
Original-Sender: [email-masked]

Alistair McEwan wrote:
>
> Does anyone know if there  is an equivalent of the kill  function
> (sending signals) in Win32?
>

There is no unix signals equivalents in win32. Cygwin.dll uses window 
messages to emulate signals.

> This is assuming that I have a handle to a process and the pid of that
> process (I can use either/or) and I  want to send it a signal.

You can only terminate the process with TerminateProcess() syscall, or wait 
for a process exit. Using a debug API you can read/write process's 
memory/context. Will it help you?

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".